# geos::algorithm::distance::PointPairDistance Class Reference

`#include <PointPairDistance.h>`

List of all members.

## Public Member Functions

void | initialize ()
void | initialize (const geom::Coordinate &p0, const geom::Coordinate &p1)
double | getDistance () const
const std::vector < geom::Coordinate > & | getCoordinates () const
const geom::Coordinate & | getCoordinate (unsigned int i) const
void | setMaximum (const PointPairDistance &ptDist)
void | setMaximum (const geom::Coordinate &p0, const geom::Coordinate &p1)
void | setMinimum (const PointPairDistance &ptDist)
void | setMinimum (const geom::Coordinate &p0, const geom::Coordinate &p1)

## Detailed Description

Contains a pair of points and the distance between them. Provides methods to update with a new point pair with either maximum or minimum distance.

The documentation for this class was generated from the following file:

- PointPairDistance.h